Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/DAppointPage.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/DAppointPage.cs	(revision 1106)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/DAppointPage.cs	(revision 1110)
@@ -64,4 +64,6 @@
         private TextBox txtCountry;
         private CheckBox chkPrint;
+        private Label label18;
+        private TextBox txtSex;
         private IContainer components;
 
@@ -121,4 +123,5 @@
             this.txtStreet = new System.Windows.Forms.TextBox();
             this.panel1 = new System.Windows.Forms.Panel();
+            this.chkPrint = new System.Windows.Forms.CheckBox();
             this.cmdCancel = new System.Windows.Forms.Button();
             this.cmdOK = new System.Windows.Forms.Button();
@@ -126,5 +129,6 @@
             this.dsPatientApptDisplay2BindingSource = new System.Windows.Forms.BindingSource(this.components);
             this.dsPatientApptDisplay2 = new IndianHealthService.ClinicalScheduling.dsPatientApptDisplay2();
-            this.chkPrint = new System.Windows.Forms.CheckBox();
+            this.label18 = new System.Windows.Forms.Label();
+            this.txtSex = new System.Windows.Forms.TextBox();
             this.tabControl1.SuspendLayout();
             this.tabAppointment.SuspendLayout();
@@ -260,4 +264,6 @@
             // groupBox1
             // 
+            this.groupBox1.Controls.Add(this.txtSex);
+            this.groupBox1.Controls.Add(this.label18);
             this.groupBox1.Controls.Add(this.label14);
             this.groupBox1.Controls.Add(this.txtHRN);
@@ -277,5 +283,5 @@
             // label14
             // 
-            this.label14.Location = new System.Drawing.Point(56, 64);
+            this.label14.Location = new System.Drawing.Point(50, 64);
             this.label14.Name = "label14";
             this.label14.Size = new System.Drawing.Size(40, 16);
@@ -294,5 +300,5 @@
             // label6
             // 
-            this.label6.Location = new System.Drawing.Point(224, 40);
+            this.label6.Location = new System.Drawing.Point(227, 65);
             this.label6.Name = "label6";
             this.label6.Size = new System.Drawing.Size(40, 16);
@@ -303,5 +309,5 @@
             // txtPID
             // 
-            this.txtPID.Location = new System.Drawing.Point(272, 40);
+            this.txtPID.Location = new System.Drawing.Point(272, 63);
             this.txtPID.Name = "txtPID";
             this.txtPID.ReadOnly = true;
@@ -311,5 +317,5 @@
             // label5
             // 
-            this.label5.Location = new System.Drawing.Point(64, 40);
+            this.label5.Location = new System.Drawing.Point(58, 41);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(32, 16);
@@ -328,5 +334,5 @@
             // label2
             // 
-            this.label2.Location = new System.Drawing.Point(56, 16);
+            this.label2.Location = new System.Drawing.Point(50, 16);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(40, 16);
@@ -543,4 +549,14 @@
             this.panel1.TabIndex = 1;
             // 
+            // chkPrint
+            // 
+            this.chkPrint.AutoSize = true;
+            this.chkPrint.Location = new System.Drawing.Point(13, 14);
+            this.chkPrint.Name = "chkPrint";
+            this.chkPrint.Size = new System.Drawing.Size(144, 17);
+            this.chkPrint.TabIndex = 2;
+            this.chkPrint.Text = "Print Appointment Letter";
+            this.chkPrint.UseVisualStyleBackColor = true;
+            // 
             // cmdCancel
             // 
@@ -577,13 +593,21 @@
             this.dsPatientApptDisplay2.SchemaSerializationMode = System.Data.SchemaSerializationMode.IncludeSchema;
             // 
-            // chkPrint
-            // 
-            this.chkPrint.AutoSize = true;
-            this.chkPrint.Location = new System.Drawing.Point(13, 14);
-            this.chkPrint.Name = "chkPrint";
-            this.chkPrint.Size = new System.Drawing.Size(144, 17);
-            this.chkPrint.TabIndex = 2;
-            this.chkPrint.Text = "Print Appointment Letter";
-            this.chkPrint.UseVisualStyleBackColor = true;
+            // label18
+            // 
+            this.label18.AutoSize = true;
+            this.label18.Location = new System.Drawing.Point(238, 44);
+            this.label18.Name = "label18";
+            this.label18.Size = new System.Drawing.Size(29, 13);
+            this.label18.TabIndex = 14;
+            this.label18.Text = "Sex:";
+            // 
+            // txtSex
+            // 
+            this.txtSex.BackColor = System.Drawing.SystemColors.Control;
+            this.txtSex.Location = new System.Drawing.Point(273, 41);
+            this.txtSex.Name = "txtSex";
+            this.txtSex.ReadOnly = true;
+            this.txtSex.Size = new System.Drawing.Size(160, 20);
+            this.txtSex.TabIndex = 15;
             // 
             // DAppointPage
@@ -623,4 +647,5 @@
 
 		private string			m_sPatientName;
+        private Sex             m_enumPatientSex;
 		private string			m_sPatientHRN;
 		private string			m_sPatientIEN;
@@ -674,4 +699,5 @@
 				DataRow r = tb.Rows[0];
 				this.m_sPatientName = r["NAME"].ToString();
+                this.m_enumPatientSex = r["SEX"].ToString() == "MALE" ? Sex.Male : Sex.Female;
 				this.m_sPatientHRN = r["HRN"].ToString();
 				this.m_sPatientIEN = r["IEN"].ToString();
@@ -716,4 +742,5 @@
 				txtNote.Text = this.m_sNote;
 				txtPatientName.Text = m_sPatientName;
+                txtSex.Text = m_enumPatientSex.ToString();
 				txtPhoneHome.Text = this.m_sPhoneHome;
 				txtPhoneOffice.Text = this.m_sPhoneOffice;
@@ -797,4 +824,5 @@
                     DFN = Int32.Parse(m_sPatientIEN),
                     Name = m_sPatientName,
+                    Sex = m_enumPatientSex,
                     DOB = m_dPatientDOB,
                     ID = m_sPatientPID,
